平台智能 API
Facebook API
每天约有20亿用户在Facebook上分享帖子、照片、视频、群组、活动和Marketplace列表,使其在社区传播、客户服务、本地发现和社交商业中至关重要。
API 参考 版本: 1.0.0 41 终端 身份验证
基本网址
https://api.pressmonitor.com/facebook/v1 身份验证
所有请求使用 Bearer 令牌身份验证。每个调用都添加授权头。
Authorization: Bearer YOUR_TOKEN GET
/album-metadata 相册元数据
Album Metadata
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| album_id | string | query | 是 | 相册ID |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/album-metadata" querystring = {"album_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/event-details 活动详情
Event Details
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| event_id | string | query | 是 | 活动ID |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/event-details?event_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/event-details" querystring = {"event_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/events-search 搜索活动
Events Search
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query | string | query | 是 | 搜索查询 |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/events-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/get-post 获取帖子
Get Post
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| post_id | string | query | 是 | 帖子ID |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/get-post?post_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/get-post" querystring = {"post_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/group-about 群组简介
Group About
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| id | string | query | 是 | ID |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-about?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-about" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/group-admins 群组管理员
Group Admins
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| id | string | query | 是 | ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-admins" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/group-albums 群组相册
Group Albums
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| id | string | query | 是 | ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-albums" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/group-feed 群组动态
Group Feed
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| id | string | query | 是 | ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-feed" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/group-info 群组信息
Group Info
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| id | string | query | 是 | ID |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-info?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-info" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/group-members 群组成员
Group Members
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| id | string | query | 是 | ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-members" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/group-photos 群组照片
Group Photos
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| id | string | query | 是 | ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-photos" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/groups 群组
Groups
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query | string | query | 是 | 搜索查询 |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/groups" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/marketplace-product 市场产品
Marketplace Product
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| product_id | string | query | 是 | 产品ID |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-product" querystring = {"product_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/marketplace-profile 市场资料
Marketplace Profile
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| user_id | string | query | 是 | 用户ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-profile" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/marketplace-search 市场搜索
Marketplace Search
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query | string | query | 是 | 搜索查询 |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/page-albums 页面相册
Page Albums
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| id | string | query | 是 | ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-albums" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/page-details 页面详情
Page Details
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| id | string | query | 是 | ID |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-details?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-details" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/page-feed 页面动态
Page Feed
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| id | string | query | 是 | ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-feed" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/pages-search 搜索页面
Pages Search
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query | string | query | 是 | 搜索查询 |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/pages-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/pages-search-post 页面搜索帖子
Pages Search Post
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query | string | query | 是 | 搜索查询 |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/pages-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/photos 照片
Photos
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query | string | query | 是 | 搜索查询 |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/photos" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/post-comments 帖子评论
Post Comments
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| post_id | string | query | 是 | 帖子ID |
| end_cursor | string | query | 不 | 结束游标 |
| order | string | query | 不 | 排序 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-comments" querystring = {"post_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE","order":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/post-reactions 帖子反应
Post Reactions
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| post_id | string | query | 是 | 帖子ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-reactions" querystring = {"post_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/post-reactions-count 帖子反应数
Post Reactions Count
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| post_id | string | query | 是 | 帖子ID |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-reactions-count" querystring = {"post_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/posts-search 搜索帖子
Posts Search
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query | string | query | 是 | 搜索查询 |
| date_posted | string | query | 不 | 发布日期 |
| end_cursor | string | query | 不 | 结束游标 |
| end_date | string | query | 不 | 结束日期 |
| recent_posts | string | query | 不 | 最近帖子 |
| start_date | string | query | 不 | 开始日期 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/posts-search" querystring = {"query":"SOME_STRING_VALUE","date_posted":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE","end_date":"SOME_STRING_VALUE","recent_posts":"SOME_STRING_VALUE","start_date":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/posts-search-post 帖子搜索帖子
Posts Search Post
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query | string | query | 是 | 搜索查询 |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/posts-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/profile-about 个人资料简介
Profile About
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| user_id | string | query | 是 | 用户ID |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-about?user_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-about" querystring = {"user_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/profile-albums 个人资料相册
Profile Albums
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| user_id | string | query | 是 | 用户ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-albums" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/profile-feed 个人资料动态
Profile Feed
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| user_id | string | query | 是 | 用户ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-feed" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/profile-friends 个人资料好友
Profile Friends
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| user_id | string | query | 是 | 用户ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-friends" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/profile-likes 个人资料点赞
Profile Likes
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| user_id | string | query | 是 | 用户ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-likes" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/profile-page 个人资料页面
Profile Page
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| user_id | string | query | 是 | 用户ID |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-page?user_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-page" querystring = {"user_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/profile-photos 个人资料照片
Profile Photos
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| user_id | string | query | 是 | 用户ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-photos" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/profile-search 搜索个人资料
Profile Search
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query | string | query | 是 | 搜索查询 |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/profile-search-post 个人资料搜索帖子
Profile Search Post
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query | string | query | 是 | 搜索查询 |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/profile-videos 个人资料视频
Profile Videos
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| user_id | string | query | 是 | 用户ID |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-videos" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/url URL
Url
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| url | string | query | 是 | URL |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/url?url=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/url" querystring = {"url":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/video-id-url 视频ID URL
Video Id Url
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| url | string | query | 是 | URL |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/video-id-url?url=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/video-id-url" querystring = {"url":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/videos 视频
Videos
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query | string | query | 是 | 搜索查询 |
| end_cursor | string | query | 不 | 结束游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/videos" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功